package org.q.app.engine.convert;

import java.io.IOException;

import org.apache.commons.vfs.FileObject;
import org.q.app.vfs.UrlResolver;
import org.q.toolkit.convert.construct.AbstractConstructor;
import org.q.toolkit.io.RuntimeIOException;

class FileObjectConstructor extends AbstractConstructor<FileObject> {

	@Override
	public FileObject constructObject(final String str) {
		try {
			return UrlResolver.resolve(str).getFileObject();
		} catch (IOException e) {
			throw new RuntimeIOException("Unable to convert url: %", str);
		}
	}

}
