package org.q.app.ui;

import java.util.Collections;
import java.util.Map;

import org.q.app.ui.bind.ComponentMap;

import com.google.inject.Inject;
import com.google.inject.Provider;

class ComponentProvider implements Provider<Map<String, Object>> {

	@Inject
	private ComponentMap componentMap;

	@Override
	public Map<String, Object> get() {
		return Collections.unmodifiableMap(componentMap.getMap());
	}

}
