package org.q.app.ui.bind;

import javax.swing.KeyStroke;

import org.q.toolkit.convert.Validator;
import org.q.toolkit.lang.Check;

class KeyStrokeValidator implements Validator {

	@Override
	public boolean isValid(final String value) {
		return KeyStroke.getKeyStroke(value) != null;
	}

	@Override
	public void check(final String value) {
		Check.isTrue(isValid(value), "Not a valid KeyStroke: %", value);
	}
}
