package org.q.toolkit.convert.validate;

import org.q.toolkit.convert.Validator;

/**
 * Validator that always returns true.
 * 
 * @author Erik Lievaart
 */
public class AlwaysValidate implements Validator {

	/**
	 * returns true.
	 */
	@Override
	public boolean isValid(final String value) {
		return true;
	}

	/**
	 * Does nothing.
	 */
	@Override
	public void check(final String string) {
	}

}
